> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/trace.md).

# trace

This endpoint provides details about when a transaction was received by our systems, when it was released, and whether it was delayed (including the number of slots delayed).

{% hint style="warning" %}
Note: This endpoint is available exclusively to whitelisted customers only.
{% endhint %}

### Request:

#### Method:

`GET ./api/v2/system/trace`

#### Parameters:

<table><thead><tr><th width="179.32569366693275">Parameter</th><th width="139.23125339579434">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>signature</code></td><td>string</td><td>Signature of a submitted transaction.</td></tr></tbody></table>

#### Request example:

{% tabs %}
{% tab title="HTTP" %}

```bash
curl --header "Authorization: $AUTH_HEADER" \
'http://ny.solana.dex.blxrbdn.com/api/v2/system/trace?signature=...'
```

{% endtab %}
{% endtabs %}

### Response:

#### Fields:

<table><thead><tr><th width="206.12060301507535">Fields</th><th width="164.90911803582708">Type</th><th>Description</th></tr></thead><tbody><tr><td>signature</td><td>string</td><td>The target transaction signature.</td></tr><tr><td>firstReceivedTime</td><td>google.protobuf.Timestamp</td><td>The timestamp when the Trader API backend first received the transaction.</td></tr><tr><td>firstReleasedTime</td><td>google.protobuf.Timestamp</td><td>The timestamp when the Trader API backend first released the transaction.</td></tr><tr><td>firstReceivedSlot</td><td>int64</td><td>The slot number when the Trader API backend first received the transaction.</td></tr><tr><td>firstReleasedSlot</td><td>int64</td><td>The slot number when the Trader API backend first released the transaction.</td></tr><tr><td>firstReceivedRegion</td><td>string</td><td>The first region which received the transaction.</td></tr><tr><td>firstReleasedRegion</td><td>string</td><td>The first region which released the transaction.</td></tr><tr><td>delayed</td><td>boolean</td><td>Whether the transaction propagation was delayed due to malicious leader detection. Transaction delay will only be affected when <code>submitProtection</code> is set to <code>SP_MEDIUM</code> or <code>SP_HIGH</code>.</td></tr><tr><td>delayedSlots</td><td>int64</td><td>Number of slots delayed.</td></tr></tbody></table>

Response Example:

{% tabs %}
{% tab title="JSON" %}

```json
{
   "signature": "K2UvcQkB5o2...Xvhi8kakUKiroP",
   "firstReceivedTime": "2025-08-28T07:41:31.805125000",
   "firstReleasedTime": "2025-08-28T07:41:31.811762000",
   "firstReceivedSlot": "363028450",
   "firstReleasedSlot": "363028450",
   "firstReceivedRegion": "NY",
   "firstReleasedRegion": "NY",
   "delayed": false,
   "delayedSlots": "0"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/core-endpoints/trace.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
